Sam 3 · Image RLE
ပေါင်းစည်းရန်
sam-3/image-rle
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image-rle?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sam-3/image-rle?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sam-3/image-rle", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/my/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sam-3/image-rle",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API မှတစ်ဆင့် Sam 3 · Image RLE မော်ဒယ် (sam-3/image-rle) ကို ခေါ်ယူပါ။ အေးဂျင့်များအတွက် စာရွက်စာတမ်းများ: https://doitong.com/my/developers/models/sam-3/image-rle.md
POST https://api.doitong.com/v1/run/sam-3/image-rle?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
Response status သည် "queued" သို့မဟုတ် "running" ဖြစ်ပါက "succeeded" ဖြစ်သည်အထိ GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ဖြင့် poll လုပ်ပါ။ ဖိုင်များသည် outputs[].url တွင် ရှိသည်။ လုပ်ဆောင်မီ အတိအကျစျေးနှုန်းရရန် တူညီသော body ဖြင့် POST https://api.doitong.com/v1/quote/sam-3/image-rle ကို အသုံးပြုပါ။
ဤတောင်းဆိုချက်: ≈၀.၀၀၅ $ ၅ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်
သင့် API ကီးအသစ်။ ၎င်းကို ယခုတစ်ကြိမ်သာ ပြသထားပြီး ကုဒ်ထဲနှင့် အောက်ပါ API ကီး အကွက်ထဲတွင် ထည့်သွင်းပြီးဖြစ်သည်။ လျှို့ဝှက်ထားပါ—ဘရောက်ဇာတွင် လုပ်ဆောင်သည့် ကုဒ်ထဲသို့ မည်သည့်အခါမျှ မထည့်ပါနှင့်။
သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်
အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။
တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်
ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။
/run/sam-3/image-rle?wait=20
ကုန်ကျစရိတ် → ၀.၀၀၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image-rle?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sam-3/image-rle?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sam-3/image-rle", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sam-3/image-rle",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်
သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်
Sam 3 · Image RLE အကြောင်း
စာသား `prompt`၊ အမှတ်များ သို့မဟုတ် ဘောင်များကို အသုံးပြု၍ ပုံတစ်ပုံပေါ်တွင် SAM 3 အပိုင်းခွဲခြားခြင်းကို လုပ်ဆောင်ပြီး မတ်စ်ကို ဆက်တိုက်အရှည်ကုဒ်သွင်းမှု (RLE) ဒေတာအဖြစ် ပြန်ပေးသည်။ နောက်ဆက်တွဲလုပ်ဆောင်မှုအတွက် ကျစ်လျစ်သော မတ်စ်ဒေတာလိုအပ်သည့်အခါ အသုံးဝင်သည်။ `return_multiple_masks` ကို `max_masks` 1 မှ 32 အထိဖြင့် ပံ့ပိုးပေးပြီး အမှတ်များနှင့် ဘောင်များကိုလည်း ရွေးချယ်ထည့်သွင်းနိုင်သည်။
ပါရာမီတာများ
စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ
image_urlလိုအပ်သည်
image
promptရွေးချယ်နိုင်သည်
text_promptရွေးချယ်နိုင်သည်
point_promptsရွေးချယ်နိုင်သည်
point_prompts[].xရွေးချယ်နိုင်သည်
point_prompts[].yရွေးချယ်နိုင်သည်
point_prompts[].labelရွေးချယ်နိုင်သည်
point_prompts[].object_idရွေးချယ်နိုင်သည်
point_prompts[].frame_indexရွေးချယ်နိုင်သည်
box_promptsရွေးချယ်နိုင်သည်
box_prompts[].x_minရွေးချယ်နိုင်သည်
box_prompts[].y_minရွေးချယ်နိုင်သည်
box_prompts[].x_maxရွေးချယ်နိုင်သည်
box_prompts[].y_maxရွေးချယ်နိုင်သည်
box_prompts[].object_idရွေးချယ်နိုင်သည်
box_prompts[].frame_indexရွေးချယ်နိုင်သည်
apply_maskရွေးချယ်နိုင်သည်
output_formatရွေးချယ်နိုင်သည်
return_multiple_masksရွေးချယ်နိုင်သည်
max_masksရွေးချယ်နိုင်သည်
include_scoresရွေးချယ်နိုင်သည်
include_boxesရွေးချယ်နိုင်သည်
ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ
ထွက်ရလဒ်
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sam-3/image-rle",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 5,
"usd": "0.005",
"charged": 5,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"rle": "string",
"boundingbox_frames_zip": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"metadata": [
{
"index": 1,
"score": 1.0,
"box": [
1.0
]
}
],
"scores": [
1.0
],
"boxes": [
[
1.0
]
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ထွက်ရလဒ်၏ Fields များ
- rle
- string | array of stringrun-length encoding ဖြင့် ကိုယ်စားပြုထားသော mask။
- boundingbox_frames_zip
- object {url, content_type, file_name, file_size} | nullဖရိမ်တစ်ခုစီအတွက် bounding box overlay များပါဝင်သော ZIP archive။
- metadata
- array of object {index, score, box} | nullတုံ့ပြန်ချက်တွင် RLE များစွာ ပါဝင်သည့်အခါ ထည့်သွင်းပေးသော mask တစ်ခုစီ၏ metadata။
- scores
- array of number | nullတောင်းဆိုထားသည့်အခါ ပေးသော mask တစ်ခုစီ၏ ယုံကြည်မှုရမှတ်။
- boxes
- array of array of number | nullတောင်းဆိုထားပါက [cx, cy, w, h] အဖြစ် ဖော်ပြထားသော mask တစ်ခုစီ၏ ပုံမှန်ပြုထားသည့် box များ။
အခြား Sam3 မူကွဲများ
နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း
AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/sam-3/image-rle.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt






